[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# DateTimeToDateTimeRec

Convert TDateTime value to a TDateTimeRec record.

## Declaration

Source position: db.pas line 2081

`function DateTimeToDateTimeRec(`
`DT: TFieldType;`
`Data: TDateTime`
`):TDateTimeRec;`

## Arguments

`DT` |  | Datatype for result
`Data` |  | Timestam specification in TDateTime format.

## Function result

TDateTimeRec record corresponding to timestamp in Data.

## Description

DateTimeToDateTimeRec examines Data and Dt and uses dt to convert the date/time valuein Data to a TDateTimeRec record.

## See also

TFieldType |  | Field data type description
TDateTimeRec |  | Date/Time record
DateTimeRecToDateTime |  | Convert TDateTimeRec record to a TDateTime value.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.